%
% function [Rout,wout] = RWinSubs( Rin, win, n, L, k )
% calculate R and w after going through a flat substrate with refractive index n and thickness L
%
function [Rout,wout] = RWSubs( Rin, win, n, L, k )

if ~exist( 'k', 'var' )
    k = 2 * pi / 1.064e-6;
end

L = L / n;
denom = k^2*win^4*(L + Rin)^2 + 4*L^2*Rin^2;
Rout = denom / (k^2*win^4*(L+Rin) + 4*L*Rin^2);
wout = sqrt( denom / (k^2*Rin^2*win^2) );

return